Variable: AdapterValidateRequestSchema
const AdapterValidateRequestSchema: ZodObject<{
script_b64: ZodString;
network_broker_channel_uuid: ZodString;
prompt: ZodString;
variables: ZodOptional<ZodArray<ZodObject<{
key: ZodString;
value: ZodOptional<ZodNullable<ZodString>>;
type: ZodEnum<["VAR", "SECRET"]>;
}, "strip", ZodTypeAny, {
key: string;
value?: string | null;
type: "VAR" | "SECRET";
}, {
key: string;
value?: string | null;
type: "VAR" | "SECRET";
}>, "many">>;
adapter_uuid: ZodOptional<ZodNullable<ZodString>>;
}, "strict", ZodTypeAny, {
script_b64: string;
network_broker_channel_uuid: string;
prompt: string;
variables?: {
key: string;
value?: string | null;
type: "VAR" | "SECRET";
}[];
adapter_uuid?: string | null;
}, {
script_b64: string;
network_broker_channel_uuid: string;
prompt: string;
variables?: {
key: string;
value?: string | null;
type: "VAR" | "SECRET";
}[];
adapter_uuid?: string | null;
}>;
Defined in: src/models/red-team.ts:1180
Request for POST /v1/adapters/validate (spec CustomTargetAdapterValidateRequestSchema).
Deliberately NOT the create request: there is no name, network_broker_channel_uuid is
required, and adapter_uuid may reference an existing adapter so redacted/null
variable values are resolved from its stored secret before validation.